

; Manual entry, as only a few sounds.
I_SOUNDS_SCH:
DW SOUND_000
DW SOUND_001
DW SOUND_002
DW SOUND_003
DW SOUND_004
DW SOUND_005
DW SOUND_006
DW SOUND_007
DW SOUND_008
DW SOUND_009
DW SOUND_010
DW SOUND_011
DW SOUND_012
DW SOUND_013
DW SOUND_014
DW SOUND_015
DW SOUND_016
DW SOUND_017
DW SOUND_018
DW SOUND_019
DW SOUND_020
DW SOUND_021
DW SOUND_022
DW SOUND_023
DW SOUND_024


; Reserved for runtime modification.
SOUND_000:
DW 2                    ; Cycles.
SOUND_000_H:
DB 1, 255               ; HIGH phase delay.
SOUND_000_L:
DB 1, 255               ; LOW phase delay.

; C4
SOUND_001:
DW 4                    ; Cycles.
DB 2, 251               ; HIGH phase delay.
DB 2, 251               ; LOW phase delay.

;C#
SOUND_002:
;DW 4                    ; Cycles.
;DB 2, 222               ; HIGH phase delay.
;DB 2, 222               ; LOW phase delay.

;D
SOUND_003:
DW 4                    ; Cycles.
DB 2, 195               ; HIGH phase delay.
DB 2, 195               ; LOW phase delay.

;D#
SOUND_004:
DW 4                    ; Cycles.
DB 2, 169               ; HIGH phase delay.
DB 2, 169               ; LOW phase delay.

;E
SOUND_005:
DW 6                    ; Cycles.
DB 2, 145               ; HIGH phase delay.
DB 2, 145               ; LOW phase delay.

;F
SOUND_006:
DW 6                    ; Cycles.
DB 2, 122               ; HIGH phase delay.
DB 2, 122               ; LOW phase delay.

;F#
SOUND_007:
DW 6                    ; Cycles.
DB 2, 100               ; HIGH phase delay.
DB 2, 100               ; LOW phase delay.

;G
SOUND_008:
DW 6                    ; Cycles.
DB 2, 80                ; HIGH phase delay.
DB 2, 80                ; LOW phase delay.

;G#
SOUND_009:
DW 6                    ; Cycles.
DB 2, 61                ; HIGH phase delay.
DB 2, 61                ; LOW phase delay.

;A
SOUND_010:
DW 6                    ; Cycles.
DB 2, 43                ; HIGH phase delay.
DB 2, 43                ; LOW phase delay.

;A#
SOUND_011:
;DW 8                    ; Cycles.
;DB 2, 26                ; HIGH phase delay.
;DB 2, 26                ; LOW phase delay.

;B
SOUND_012:
DW 8                    ; Cycles.
DB 2, 10                ; HIGH phase delay.
DB 2, 10                ; LOW phase delay.

;C5
SOUND_013:
DW 8                    ; Cycles.
DB 1, 250               ; HIGH phase delay.
DB 1, 250               ; LOW phase delay.

;Base sound for vertical scrolling.
SOUND_014:
DW 8                    ; Cycles.
DB 1, 0                 ; HIGH phase delay.
DB 1, 0                 ; LOW phase delay.

; Single dial pulse
SOUND_015:
DW 2                    ; Cycles.
DB 1, 255               ; HIGH phase delay.
DB 1, 255               ; LOW phase delay.

;400Hz - short (0.16s.)
SOUND_016:
DW 64                   ; Cycles.
DB 2, 73                ; HIGH phase delay.
DB 2, 73                ; LOW phase delay.

;Detuned G (400Hz.)
SOUND_017:
DW 6                    ; Cycles.
DB 2, 73                ; HIGH phase delay.
DB 2, 73                ; LOW phase delay.

;400Hz - long (3.2s.)
SOUND_018:
DW 1280                 ; Cycles.
DB 2, 73                ; HIGH phase delay.
DB 2, 73                ; LOW phase delay.

;950Hz (0.33s.)
SOUND_019:
DW 314                  ; Cycles.
DB 1, 135               ; HIGH phase delay.
DB 1, 135               ; LOW phase delay.

;1400Hz (0.33s.)
SOUND_020:
DW 462                  ; Cycles.
DB 1, 90                ; HIGH phase delay.
DB 1, 90                ; LOW phase delay.

;1800Hz (0.33s.)
SOUND_021:
DW 594                  ; Cycles.
DB 1, 68                ; HIGH phase delay.
DB 1, 68                ; LOW phase delay.

;Warbler ringer.
SOUND_022:
DW 22                   ; Cycles.
DB 1, 216               ; HIGH phase delay.
DB 1, 10                ; LOW phase delay.

;Bell striker (muddy, 1/50th second.)
SOUND_023:
DW 72                   ; Cycles.
DB 1, 2                 ; HIGH phase delay.
DB 1, 62                ; LOW phase delay.

;Bell striker (clean, 1/50th second.)
SOUND_024:
DW 72                   ; Cycles.
DB 1, 32                ; HIGH phase delay.
DB 1, 32                ; LOW phase delay.


; Manual entry, as only a few sounds.
I_SOUNDS_MCH:
DW SOUND_032
DW SOUND_033
DW SOUND_034
DW SOUND_035
DW SOUND_036
DW SOUND_037
DW SOUND_038
DW SOUND_039
DW SOUND_040
DW SOUND_041
DW SOUND_042
DW SOUND_043

; DTMF 0 (941Hz & 1336Hz, 0.15s.)
SOUND_032:
DW 141                  ; Channel 1 cycles.
DW 19                   ; Channel 1 HIGH phase delay.
DW 19                   ; Channel 1 LOW phase delay.
DW 12                   ; Channel 2 HIGH phase delay.
DW 12                   ; Channel 2 LOW phase delay.

; DTMF 1 (697Hz & 1029Hz, 0.15s.)
SOUND_033:
DW 105                  ; Channel 1 cycles.
DW 27                   ; Channel 1 HIGH phase delay.
DW 27                   ; Channel 1 LOW phase delay.
DW 17                   ; Channel 2 HIGH phase delay.
DW 17                   ; Channel 2 LOW phase delay.

; DTMF 2 (697Hz & 1336Hz, 0.15s.)
SOUND_034:
DW 105                  ; Channel 1 cycles.
DW 27                   ; Channel 1 HIGH phase delay.
DW 27                   ; Channel 1 LOW phase delay.
DW 12                   ; Channel 2 HIGH phase delay.
DW 12                   ; Channel 2 LOW phase delay.

; DTMF 3 (697Hz & 1477Hz, 0.15s.)
SOUND_035:
DW 105                  ; Channel 1 cycles.
DW 27                   ; Channel 1 HIGH phase delay.
DW 27                   ; Channel 1 LOW phase delay.
DW 10                   ; Channel 2 HIGH phase delay.
DW 10                   ; Channel 2 LOW phase delay.

; DTMF 4 (770Hz & 1209Hz, 0.15s.)
SOUND_036:
DW 115                  ; Channel 1 cycles.
DW 24                   ; Channel 1 HIGH phase delay.
DW 24                   ; Channel 1 LOW phase delay.
DW 14                   ; Channel 2 HIGH phase delay.
DW 14                   ; Channel 2 LOW phase delay.

; DTMF 5 (770Hz & 1336Hz, 0.15s.)
SOUND_037:
DW 115                  ; Channel 1 cycles.
DW 24                   ; Channel 1 HIGH phase delay.
DW 24                   ; Channel 1 LOW phase delay.
DW 12                   ; Channel 2 HIGH phase delay.
DW 12                   ; Channel 2 LOW phase delay.

; DTMF 6 (770Hz & 1477Hz, 0.15s.)
SOUND_038:
DW 115                  ; Channel 1 cycles.
DW 24                   ; Channel 1 HIGH phase delay.
DW 24                   ; Channel 1 LOW phase delay.
DW 10                   ; Channel 2 HIGH phase delay.
DW 10                   ; Channel 2 LOW phase delay.

; DTMF 7 (852Hz & 1209Hz, 0.15s.)
SOUND_039:
DW 128                  ; Channel 1 cycles.
DW 21                   ; Channel 1 HIGH phase delay.
DW 21                   ; Channel 1 LOW phase delay.
DW 14                   ; Channel 2 HIGH phase delay.
DW 14                   ; Channel 2 LOW phase delay.

; DTMF 8 (852Hz & 1336Hz, 0.15s.)
SOUND_040:
DW 128                  ; Channel 1 cycles.
DW 21                   ; Channel 1 HIGH phase delay.
DW 21                   ; Channel 1 LOW phase delay.
DW 12                   ; Channel 2 HIGH phase delay.
DW 12                   ; Channel 2 LOW phase delay.

; DTMF 9 (852Hz & 1477Hz, 0.15s.)
SOUND_041:
DW 128                  ; Channel 1 cycles.
DW 21                   ; Channel 1 HIGH phase delay.
DW 21                   ; Channel 1 LOW phase delay.
DW 10                   ; Channel 2 HIGH phase delay.
DW 10                   ; Channel 2 LOW phase delay.

; Ring tone (400Hz & 450Hz, 0.4s.)
SOUND_042:
DW 160                  ; Channel 1 cycles.
DW 50                   ; Channel 1 HIGH phase delay.
DW 50                   ; Channel 1 LOW phase delay.
DW 44                   ; Channel 2 HIGH phase delay.
DW 44                   ; Channel 2 LOW phase delay.

; Ready tone (350Hz & 440Hz, 1.0s.)
SOUND_043:
DW 350                  ; Channel 1 cycles.
DW 57                   ; Channel 1 HIGH phase delay.
DW 57                   ; Channel 1 LOW phase delay.
DW 45                   ; Channel 2 HIGH phase delay.
DW 45                   ; Channel 2 LOW phase delay.

; DTMF * (941Hz & 1209Hz, 0.15s.)
;SOUND_044:
;DW 141                  ; Channel 1 cycles.
;DW 19                   ; Channel 1 HIGH phase delay.
;DW 19                   ; Channel 1 LOW phase delay.
;DW 14                   ; Channel 2 HIGH phase delay.
;DW 14                   ; Channel 2 LOW phase delay.

; DTMF # (941Hz & 1477Hz, 0.15s.)
;SOUND_045:
;DW 141                  ; Channel 1 cycles.
;DW 19                   ; Channel 1 HIGH phase delay.
;DW 19                   ; Channel 1 LOW phase delay.
;DW 10                   ; Channel 2 HIGH phase delay.
;DW 10                   ; Channel 2 LOW phase delay.

; Manual entry, as only a few sequences.
I_SEQUENCES:
DW SEQUENCE_000
DW SEQUENCE_001
DW SEQUENCE_002
DW SEQUENCE_003
DW SEQUENCE_004
DW SEQUENCE_005
DW SEQUENCE_006

; Hold music Type A (GFG.CD.C)
SEQUENCE_000:
DB 8, 10, 6, 10, 8, 20
DB 1, 10, 3, 20, 1, 10
DB 127

; Hold music Type B (D#D#D#D#F#D#D#D#G#)
SEQUENCE_001:
DB 4, 16, 4, 16, 4, 16, 4, 8, 7, 72
DB 4, 16, 4, 16, 4, 16, 4, 8, 9, 72
DB 127

; Hold music Type C (CABGAFGE)
SEQUENCE_002:
DB 13, 20, 10, 20, 12, 20, 8, 20
DB 10, 20, 6, 20, 8, 20, 5, 20
DB 127

; Hold music Type D (ccCCcccCC)
SEQUENCE_003:
DB 1, 16, 1, 16, 13, 16, 13, 8
DB 1, 16, 1, 16, 1, 8, 13, 16, 13, 16
DB 127

; Ring out (Twice: Ring 0.4s, Pause 0.2s, Ring 0.4s, Pause 2.0s)
SEQUENCE_004:
DB 42, 10, 42, 100
DB 42, 10, 42, 100
DB 127

; Pay tones, money insertion, then 10p signal.
; (Pay tones: 0.16s on, 0.14s off.)
SEQUENCE_005:
DB 16, 7, 16, 7, 16, 7, 16, 7
DB 127

; Information tone sequence.
; (Each 0.33s, gap of 0.02s between tones.)
SEQUENCE_006:
DB 19, 1, 20, 1, 21, 1
DB 127
                                
